Bug 796 - (int-93297) Fix hard-coded paths in osso-af-startup build files
(int-93297)
: Fix hard-coded paths in osso-af-startup build files
Status: NEW
Product: Desktop platform
startup-shutdown
: 5.0-beta
: All Maemo
: Low normal (vote)
: ---
Assigned To: Gabriel Schulhof
: HAF QA mailing list
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-06 19:02 UTC by Murray Cumming
Modified: 2014-03-08 10:43 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2006-10-06 19:02:23 UTC
osso-af-startup
( https://stage.maemo.org/svn/maemo/projects/haf/trunk/osso-af-startup/ )
has not build files (no configure or make files).

Therefore it is difficult to install newer versions from svn, and difficult to
install it in a non-standard prefix, such as when using jhbuild.
Comment 1 Kimmo Hämäläinen nokia 2006-10-09 10:42:48 UTC
i'll fix
Comment 2 Kimmo Hämäläinen nokia 2006-10-10 10:34:11 UTC
I wasted hours yesterday trying to figure out automake things (the docs are not
complete in my opinion... and only way is to look at examples). Does the trunk
look OK to you?
Comment 3 Murray Cumming (reporter) 2006-10-10 10:41:44 UTC
Many thanks for spending that time. It's an improvement, though 
1. The hand-coded makefile rules in Makefile.am should be replaced with
Makefile.am variables.
2. Some .sh files still contain hard-coded paths. These .sh files should
probably be generated from .sh.in files, with the .sh.in files containing a
@prefix@ variable. However, I'm not sure which of these paths can ever be
different than the hard-coded paths.

I'll try to do that sometime now that I know that you'd like it.

This page is useful for autotools beginners:
http://www.openismus.com/documents/linux/automake/automake.shtml
Comment 4 Kimmo Hämäläinen nokia 2006-10-10 10:55:32 UTC
Thanks for the link. Speaking of the hand-made targets -- that's the
information
I didn't find from automake's docs (they also mention many keywords that are
not
documented). I was missing description of the clean targets, for example... and
the big picture of how variables are substituted etc...
Comment 5 Kimmo Hämäläinen nokia 2006-10-10 16:17:45 UTC
osso-af-startup (1.27-1) has the fix, although the clean target thing could be
fixed later when I know how to fix it (I'm studying more).
Comment 6 Murray Cumming (reporter) 2006-10-10 17:19:57 UTC
Could we keep this bug open (not resolved), please, until we fix the problem of
the hard-coded paths (such as /etc, instead of <prefix>/etc).
Comment 7 Kimmo Hämäläinen nokia 2006-10-10 17:25:11 UTC
Ok
Comment 8 Kimmo Hämäläinen nokia 2006-10-12 14:12:52 UTC
I have strange problems with the build scripted version: the files are not
installed, although they are shown in 'dpkg -L' and 'dpkg -x ...'. I'll revert
to the old version without build scripts, since this is blocking some other
stuff and needs to be integrated.
Comment 9 Murray Cumming (reporter) 2006-10-12 14:29:39 UTC
OK. Could you please upload the patch here so we have it for later.
Comment 10 Tommi Komulainen nokia 2007-01-03 13:43:24 UTC
(In reply to comment #6)
> Could we keep this bug open (not resolved), please, until we fix the problem of
> the hard-coded paths (such as /etc, instead of <prefix>/etc).

hmm, instead of <prefix>/etc it should be $(sysconfdir), no?
Comment 11 Andre Klapper maemo.org 2008-05-05 13:29:10 UTC
if this is still a valid issue:
Kimmo, can you please attach the patch here so it doesn't get lost?
Comment 12 Murray Cumming (reporter) 2008-05-05 13:54:18 UTC
Yes, it's still valid for me. Being able to build this in jhbuild (or generally
for a different prefix) without having to build a debian package, would help us
to test and hack on this.
Comment 13 Kimmo Hämäläinen nokia 2008-05-07 14:23:07 UTC
Gabriel is now the happy owner of osso-af-startup ;)  I'm too stupid for
autotools...
Comment 14 Andre Klapper maemo.org 2008-11-21 19:48:19 UTC
Kimmo, can you please attach the patch here so it doesn't get lost?
Comment 15 Quim Gil nokia 2009-03-11 22:48:57 UTC
Is http://repository.maemo.org/pool/fremantle/free/o/osso-af-startup/ useful to
fix this bug?
Comment 16 Murray Cumming (reporter) 2009-03-12 12:09:52 UTC
What is that?
Comment 17 Kirtika Ruchandani 2009-06-26 07:41:46 UTC
The package in Fremantle still doesnt have a Maekfile.am, so autotools cannot
be used.